<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('rahdarables', function (Blueprint $table) {
            $table->id();
            $table->foreignId('rahdar_id')->constrained('rahdaran')->noActionOnDelete();
            $table->morphs('rahdarable');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('rahdarables');
    }
};
